Facebook and MSN messengers shutting down (third-party client access)

Bug #1432613 reported by Iain Lane on 2015-03-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Online Accounts: Account plugins
High
Alberto Mardegan
webapps-sprint
High
Alberto Mardegan
account-plugins (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
empathy (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
ubuntu-system-settings-online-accounts (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

[ Description ]

Facebook messenger and Windows Live messenger don't work any more
because Facebook & Microsoft removed third-party support for them.

[ Fix & QA ]

Stop supporting IM accounts for these clients. For both creation &
continued use.

Verify that if you add a WLM or FB account in online accounts, empathy
doesn't try to connect to it.

account-plugins-windows-live shouldn't be pulled in by default any
more (check a trusty daily which is built with proposed).

[ Regression potential ]

This is a regression, in that we stop supporting some account types.
We don't have a choice about this.

[ Original description ]

The march towards a future of silos carries on.

https://developers.facebook.com/docs/chat - the XMPP gateway for Facebook will shut down on April 30.

http://ismsndeadyet.com/ - Microsoft are removing MSN endpoints.

I guess we need to correspondingly remove IM support for these services & SRU it back.

Related branches

Iain Lane (laney) on 2015-03-16
description: updated
Alberto Mardegan (mardy) on 2015-03-16
Changed in account-plugins:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Alberto Mardegan (mardy)
Iain Lane (laney) wrote :

Any progress on this?

David Barth (dbarth) on 2015-04-10
no longer affects: account-plugins
David Barth (dbarth) on 2015-04-10
no longer affects: webapps-core
Changed in account-plugins:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Alberto Mardegan (mardy)
Changed in webapps-sprint:
status: New → Confirmed
importance: Undecided → High
milestone: none → sprint-8
assignee: nobody → Alberto Mardegan (mardy)
Alberto Mardegan (mardy) on 2015-04-17
Changed in account-plugins:
status: Confirmed → In Progress
Alberto Mardegan (mardy) wrote :

Adding empathy to the bug. The mcp-account-manager-uoa package has a Recommended line containing account-plugin-facebook and account-plugin-windows-live; these should be removed from there.

Iain Lane (laney) wrote :

Nobody seems to want to update the existing Ubuntu releases. I guess I will upload updates then.

Iain Lane (laney) on 2015-04-29
summary: - Facebook and MSN shutting down
+ Facebook and MSN messengers shutting down (third-party client access)
Iain Lane (laney) on 2015-04-30
Changed in ubuntu-system-settings-online-accounts (Ubuntu Trusty):
status: New → Won't Fix
Changed in ubuntu-system-settings-online-accounts (Ubuntu Utopic):
status: New → Won't Fix
Changed in ubuntu-system-settings-online-accounts (Ubuntu Vivid):
status: New → Won't Fix
Iain Lane (laney) on 2015-04-30
Changed in account-plugins (Ubuntu Vivid):
status: New → In Progress
Changed in empathy (Ubuntu Vivid):
status: New → In Progress
Iain Lane (laney) wrote :

These are all uploaded. mardy, could you please push lp:~laney/account-plugins/lp1432613-{trusty,utopic,vivid} to the stable branches for those releases please?

description: updated
Changed in empathy (Ubuntu Utopic):
status: New → In Progress
Changed in empathy (Ubuntu Trusty):
status: New → In Progress
Iain Lane (laney) on 2015-04-30
Changed in account-plugins (Ubuntu Utopic):
status: New → In Progress
Changed in account-plugins (Ubuntu Trusty):
status: New → In Progress
Alberto Mardegan (mardy) wrote :

Changes landed in trunk.

Changed in account-plugins (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in account-plugins (Ubuntu Utopic):
status: In Progress → Fix Committed
Changed in account-plugins (Ubuntu Vivid):
status: In Progress → Fix Committed
David Barth (dbarth) on 2015-04-30
Changed in webapps-sprint:
milestone: sprint-8 → sprint-9
status: Confirmed → In Progress

Hello Iain, or anyone else affected,

Accepted empathy into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/empathy/3.8.6-0ubuntu13.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in empathy (Ubuntu Utopic):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in empathy (Ubuntu Vivid):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted empathy into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/empathy/3.12.9-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted account-plugins into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/account-plugins/0.12+14.10.20140924-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted account-plugins into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/account-plugins/0.12+15.04.20150415.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Alberto Mardegan (mardy) wrote :

Hi Brian, I tested the packages in vivid-proposed and they did work fine.
I'd like to test them in trusty-proposed too, but they have not been uploaded there, have they?

Iain Lane (laney) wrote :

I think maybe I forgot or messed up somehow, let me look at that.

Iain Lane (laney) wrote :

Uploaded for real, sorry about that

Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted empathy into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/empathy/3.8.6-0ubuntu9.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in empathy (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Iain, or anyone else affected,

Accepted account-plugins into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/account-plugins/0.11+14.04.20140409.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Alberto Mardegan (mardy) wrote :

Hi, I now tested trusty-proposed too, and everything works as expected: Empathy no longer appears under the Facebook and MSN accounts.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.8.6-0ubuntu9.2

---------------
empathy (3.8.6-0ubuntu9.2) trusty; urgency=medium

  [ Alberto Mardegan ]
  * debian/control:
    - Remove WLM and Facebook plugins from Recommends (LP: #1432613)
    - Remove WLM and Facebook from package descriptions.

  [ Iain Lane ]
  * Update Vcs-Bzr for trusty

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 12:06:23 +0100

Changed in empathy (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for empathy has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.11+14.04.20140409.1-0ubuntu2

---------------
account-plugins (0.11+14.04.20140409.1-0ubuntu2) trusty; urgency=medium

  [ Alberto Mardegan ]
  * Add required ResponseType parameter to Facebook plugin, move to v2.0 API.
    (LP: #1430694)
  * Remove non working IM services (LP: #1432613)

  [ Iain Lane ]
  * Add a NEWS entry.

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 11:47:12 +0100

Changed in account-plugins (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.12.9-1ubuntu1.1

---------------
empathy (3.12.9-1ubuntu1.1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * debian/control:
    - Remove WLM and Facebook plugins from Recommends (LP: #1432613)
    - Remove WLM and Facebook from package descriptions.

  [ Iain Lane ]
  * Update Vcs-Bzr for stable update

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 10:13:35 +0100

Changed in empathy (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.12+15.04.20150415.1-0ubuntu2

---------------
account-plugins (0.12+15.04.20150415.1-0ubuntu2) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Remove non working IM services (LP: #1432613)

  [ Iain Lane ]
  * Add a NEWS entry.

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 10:13:11 +0100

Changed in account-plugins (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.12.9-1ubuntu2

---------------
empathy (3.12.9-1ubuntu2) vivid; urgency=medium

  * debian/control:
    - Remove WLM and Facebook plugins from Recommends (LP: #1432613)
    - Remove WLM and Facebook from package descriptions.
 -- Alberto Mardegan <email address hidden> Fri, 17 Apr 2015 15:12:07 +0100

Changed in empathy (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.8.6-0ubuntu13.1

---------------
empathy (3.8.6-0ubuntu13.1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * debian/control:
    - Remove WLM and Facebook plugins from Recommends (LP: #1432613)
    - Remove WLM and Facebook from package descriptions.

  [ Iain Lane ]
  * Update Vcs-Bzr for stable release

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 10:56:19 +0100

Changed in empathy (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package account-plugins - 0.12+14.10.20140924-0ubuntu2

---------------
account-plugins (0.12+14.10.20140924-0ubuntu2) utopic; urgency=medium

  [ Alberto Mardegan ]
  * Add required ResponseType parameter to Facebook plugin, move to 2.0 API.
   (LP: #1430694)
  * Remove non working IM services (LP: #1432613)

  [ Iain Lane ]
  * Add a NEWS entry.

 -- Alberto Mardegan <email address hidden> Thu, 30 Apr 2015 11:24:02 +0100

Changed in account-plugins (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings-online-accounts - 0.6+15.04.20150417-0ubuntu1

---------------
ubuntu-system-settings-online-accounts (0.6+15.04.20150417-0ubuntu1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Update pot file (LP: #1445072, #1432613)

  [ CI Train Bot ]
  * New rebuild forced.
 -- CI Train Bot <email address hidden> Fri, 17 Apr 2015 14:57:06 +0000

Changed in ubuntu-system-settings-online-accounts (Ubuntu):
status: New → Fix Released
David Barth (dbarth) on 2015-05-26
Changed in account-plugins:
status: In Progress → Fix Released
Changed in webapps-sprint:
status: In Progress → Fix Released
Changed in account-plugins (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers